Skip to main content
`Ctrl`+`K`

# PetscTabulation

PETSc object that manages tabulations for finite element methods.

## Synopsis

    typedef struct _n_PetscTabulation *PetscTabulation;

## Note

This is a pointer to a C struct, hence the data in it may be accessed directly.

## Fortran Note

Use `PetscTabulationGetData()` and `PetscTabulationRestoreData()` to access the arrays in the tabulation.

## Developer Note

TODO: put the meaning of the struct fields in this manual page

## See Also

`PetscTabulationDestroy()`, `PetscFECreateTabulation()`, `PetscFEGetCellTabulation()`

## Level

intermediate

## Location

include/petscdt.h

## Examples

src/dm/impls/plex/tutorials/ex4f90.F90

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages